summaryrefslogtreecommitdiff
path: root/createworkdir
diff options
context:
space:
mode:
Diffstat (limited to 'createworkdir')
-rwxr-xr-xcreateworkdir66
1 files changed, 66 insertions, 0 deletions
diff --git a/createworkdir b/createworkdir
new file mode 100755
index 0000000..1d4a929
--- /dev/null
+++ b/createworkdir
@@ -0,0 +1,66 @@
+#!/bin/bash
+# CreateWorkDir
+# Creates a dir structure for working with Parabola packages
+
+# Copyright 2010 Nicolás Reynolds
+
+# ---------- GNU General Public License 3 ----------
+
+# This file is part of Parabola.
+
+# Parabola is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# Parabola is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with Parabola. If not, see <http://www.gnu.org/licenses/>.
+
+source /etc/libretools.conf
+custom_config=$XDG_CONFIG_HOME/libretools/libretools.conf
+[[ -e $custom_config ]] && source $custom_config
+
+# Send every output to /dev/null
+stdnull=">/dev/null 2>&1"
+
+# Create the WORKDIR
+[[ ! -d ${WORKDIR} ]] && {
+ echo "Creating WORKDIR on ${WORKDIR}"
+ mkdir -p ${WORKDIR} ${stdnull} || exit 1
+}
+
+[[ ! -d ${WORKDIR}/abslibre/.git ]] && {
+ echo "Cloning into ABSLibre"
+ git clone ${ABSLIBREGIT} ${WORKDIR}/abslibre || exit 1
+}
+
+
+# Create the staging and repo dirs
+_repodir=${WORKDIR}/repos
+for _repo in ${REPOS[@]}; do
+ [[ ! -d ${WORKDIR}/staging/${_repo} ]] && {
+ mkdir -p ${WORKDIR}/staging/${_repo} ${stdnull} || {
+ echo "ERROR: Can't create ${WORKDIR}/staging/${_repo}"
+ exit 1
+ }
+ }
+
+ for _arch in ${ARCHES[@]}; do
+ [[ ! -d ${_repodir}/${_repo}/${_arch} ]] && {
+ mkdir -p ${_repodir}/${_repo}/${_arch} ${stdnull} || {
+ echo "ERROR: Can't create ${_repodir}/${_repo}/${_arch}"
+ exit 1
+ }
+ }
+ done
+done
+
+echo "All done, your packaging dir tree looks like this now:"
+ls --color=always ${WORKDIR}/*/*
+
+exit 0